# norootforbuild

# TODO: use separate package and create Doxyfile from Doxyfile.in
# manually
%bcond_with     develdocu

Name:           libopkele
Version:        2.0.4
Release:        5.2
#
Group:          Development/Libraries/C and C++
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ pkgconfig
%if 0%{?suse_version} >= 1130
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(uuid)
%else
BuildRequires: openssl-devel curl-devel sqlite3-devel libuuid-devel
%endif
BuildRequires:  pcre-devel
BuildRequires:  libexpat-devel
BuildRequires:  libtidy-devel
%if %{with develdocu}
BuildRequires:  doxygen graphviz
%endif
#
Url:            http://kin.klever.net/libopkele
Source:         http://kin.klever.net/dist/libopkele-%{version}.tar.bz2
#
Summary:        A C++ implementation of an OpenID decentralized identity system

%description
libopkele is a c++ implementation of an OpenID decentralized identity system.
It provides OpenID protocol handling, leaving authentication and user
interaction to the implementor.

Authors:
---------
    Michael 'hacker' Krelin <hacker@klever.net>
    Leonid Ivanov <kamel@klever.net>


%package -n libopkele3
Summary:        A C++ implementation of an OpenID decentralized identity system
Group:          Development/Libraries/C and C++
License:        MIT
Requires: libuuid1

%description -n libopkele3
libopkele is a c++ implementation of an OpenID decentralized identity system.
It provides OpenID protocol handling, leaving authentication and user
interaction to the implementor.

Authors:
---------
    Michael 'hacker' Krelin <hacker@klever.net>
    Leonid Ivanov <kamel@klever.net>


%package -n libopkele-devel
Group:          Development/Libraries/C and C++
Requires:       libopkele3 = %{version}
Requires: libuuid-devel
#
Summary:        Developent files for libopkele
%description -n libopkele-devel
libopkele is a c++ implementation of an OpenID decentralized identity system.
It provides OpenID protocol handling, leaving authentication and user
interaction to the implementor.


This package holds the development files for libopkele.


Authors:
---------
    Michael 'hacker' Krelin <hacker@klever.net>
    Leonid Ivanov <kamel@klever.net>


%prep
%setup

%build
%configure --disable-static
%{__make}
%if %{with develdocu}
doxygen
%endif

%install
%makeinstall
%{__rm} %{buildroot}%{_libdir}/libopkele.la

%clean
%{__rm} -rf %{buildroot}

%post -n libopkele3 -p /sbin/ldconfig

%postun -n libopkele3 -p /sbin/ldconfig

%files -n libopkele3
%defattr(-,root,root,-)
%{_libdir}/libopkele.so.3
%{_libdir}/libopkele.so.3.0.0
%doc %doc AUTHORS COPYING NEWS

%files -n libopkele-devel
%defattr(-,root,root,-)
%{_includedir}/opkele/
%{_libdir}/libopkele.so
%{_libdir}/pkgconfig/libopkele.pc
%if %{with develdocu}
%doc doxydox/html
%endif

%changelog
* Sat Mar  5 2011 draht@suse.de
- explicit Requires: for libuuid
* Wed Mar  2 2011 draht@suse.de
- make BuildRequires %%{suse_version} dependent for older dists
* Mon Feb 21 2011 lnussel@suse.de
- new version 2.0.4
* Wed Nov 21 2007 mrueckert@suse.de
- initial package
